%define pypi_name hypothesis

Name:           python-%{pypi_name}
Version:        6.127.2
Release:        %mkrel 2
Summary:        A library for property based testing
Group:          Development/Python
License:        MPLv2.0
URL:            https://pypi.org/project/hypothesis/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Hypothesis is a library for testing your Python code against a much larger
range of examples than you would ever want to write by hand. It’s based on the
Haskell library, Quickcheck, and is designed to integrate seamlessly into your
existing Python unit testing work flow.

%package     -n python3-%{pypi_name}
Group:          Development/Python
Summary:        A library for property based testing
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Hypothesis is a library for testing your Python code against a much larger
range of examples than you would ever want to write by hand. It’s based on the
Haskell library, Quickcheck, and is designed to integrate seamlessly into your
existing Python unit testing work flow.

%pyproject_extras_subpkg -n python3-%{pypi_name} cli ghostwriter pytz dateutil numpy pandas pytest redis django

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hypothesis _hypothesis_ftz_detector _hypothesis_globals _hypothesis_pytestplugin

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/hypothesis


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 6.127.2-2.mga10
+ Revision: 2237175
- Mageia 10 Mass Rebuild

* Wed Feb 26 2025 daviddavid <daviddavid> 6.127.2-1.mga10
+ Revision: 2152820
- new version: 6.127.2
- rebuild for python 3.13

* Sat Dec 28 2024 wally <wally> 6.123.2-1.mga10
+ Revision: 2130829
- new version 6.123.2

* Thu Dec 19 2024 papoteur <papoteur> 6.104.2-1.mga10
+ Revision: 2126260
- new version 6.104.2

* Fri Jun 28 2024 papoteur <papoteur> 6.98.8-1.mga10
+ Revision: 2077537
- new version 6.98.8

* Sat Jan 20 2024 wally <wally> 6.96.1-1.mga10
+ Revision: 2032952
- new version 6.96.1
- use %%pyproject_buildrequires
- add extras subpkgs

* Sat Dec 09 2023 wally <wally> 6.88.1-2.mga10
+ Revision: 2016504
- rebuild for py3.12

* Sun Oct 22 2023 papoteur <papoteur> 6.88.1-1.mga10
+ Revision: 2000149
- new 6.88.1

* Wed Sep 07 2022 neoclust <neoclust> 6.45.0-1.mga9
+ Revision: 1884999
- New version  6.45.0

* Thu Mar 24 2022 umeabot <umeabot> 6.36.1-2.mga9
+ Revision: 1824679
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 6.36.1-1.mga9
+ Revision: 1772210
- new version 6.36.1
- rebuild for python3.10

* Sun Aug 29 2021 wally <wally> 6.17.1-1.mga9
+ Revision: 1743401
- new version 6.17.1

* Sun Mar 21 2021 joequant <joequant> 6.8.1-2.mga9
+ Revision: 1706741
- rebuild

* Sun Mar 14 2021 wally <wally> 6.8.1-1.mga9
+ Revision: 1702552
- new version 6.8.1
- rebuild for python 3.9

* Sat Feb 27 2021 guillomovitch <guillomovitch> 6.3.3-1.mga9
+ Revision: 1693032
- new version 6.3.3

* Sat Nov 28 2020 guillomovitch <guillomovitch> 5.41.3-1.mga8
+ Revision: 1649873
- new version 5.41.3

* Sun Nov 15 2020 guillomovitch <guillomovitch> 5.41.2-1.mga8
+ Revision: 1646356
- new version 5.41.2

* Mon Sep 14 2020 guillomovitch <guillomovitch> 5.35.1-1.mga8
+ Revision: 1626338
- new version 5.35.1

* Tue Apr 28 2020 daviddavid <daviddavid> 5.10.4-1.mga8
+ Revision: 1572823
- new version: 5.10.4

* Fri Apr 17 2020 tv <tv> 5.8.0-2.mga8
+ Revision: 1568515
- rebuild w/o auto rich deps

* Fri Apr 17 2020 daviddavid <daviddavid> 5.8.0-1.mga8
+ Revision: 1568012
- new version: 5.8.0

* Tue Feb 18 2020 umeabot <umeabot> 4.36.2-2.mga8
+ Revision: 1539713
- Mageia 8 Mass Rebuild

* Thu Dec 12 2019 daviddavid <daviddavid> 4.36.2-1.mga8
+ Revision: 1466063
- new version: 4.36.2

* Wed Sep 04 2019 wally <wally> 4.35.0-1.mga8
+ Revision: 1437316
- new version 4.35.0
- drop python2 support
- rebuild for python3.8

* Sat Apr 20 2019 wally <wally> 4.17.2-1.mga7
+ Revision: 1393682
- new version 4.17.2

* Sat Jan 05 2019 wally <wally> 3.85.1-2.mga7
+ Revision: 1349493
- rebuild for python3.7

* Tue Jan 01 2019 wally <wally> 3.85.1-1.mga7
+ Revision: 1348074
- new version 3.85.1

* Thu Nov 01 2018 kekepower <kekepower> 3.82.1-1.mga7
+ Revision: 1327195
- Update to version 3.82.1

* Thu Sep 20 2018 umeabot <umeabot> 3.56.1-2.mga7
+ Revision: 1288967
- Mageia 7 Mass Rebuild

* Fri Apr 20 2018 kekepower <kekepower> 3.56.1-1.mga7
+ Revision: 1220455
- Update to version 3.56.1
- Renamed python-hypothesis to python2-hypothesis
- Use python_provide

* Sat Aug 05 2017 philippem <philippem> 3.16.0-1.mga7
+ Revision: 1135144
- update to 3.16.0

* Thu Aug 03 2017 philippem <philippem> 3.14.1-1.mga7
+ Revision: 1134348
- update to 3.14.1

* Sun Mar 27 2016 philippem <philippem> 3.1.0-1.mga6
+ Revision: 995786
- update to 3.1.0

* Mon Mar 07 2016 philippem <philippem> 3.0.5-3.mga6
+ Revision: 987156
- escape stuff

* Sun Mar 06 2016 philippem <philippem> 3.0.5-2.mga6
+ Revision: 986763
- fix wrong Requires for Python3

* Sat Mar 05 2016 philippem <philippem> 3.0.5-1.mga6
+ Revision: 986083
- update to 3.0.5

* Tue Feb 16 2016 philippem <philippem> 2.0.0-1.mga6
+ Revision: 962669
- remove sphinx doc patch
- update to 2.0.0

* Sat Dec 19 2015 philippem <philippem> 1.17.1-1.mga6
+ Revision: 912178
- update to 1.17.1

* Sat Dec 12 2015 philippem <philippem> 1.16.0-1.mga6
+ Revision: 909736
- remove python3 file from python2 package
- update to 1.16.0

* Fri Dec 04 2015 philippem <philippem> 1.15.0-1.mga6
+ Revision: 908185
- imported package python-hypothesis

